Subject: bug#19652: 24.4.51; starting full screen frame too large for display

From: Jason Lewis <[email-masked]>
Date: Thu, 22 Jan 2015 17:51:02 +1100

Starting emacs in full screen, it is too large for the display and so
you can't see the status bar or minibuffer, they are hanging off the
bottom of the display.

I have tested this with emacs -Q --fullscreen and the same thing
happens.

I also tested by setting my .xinitrc to be simply "exec emacs"
and a init.el of:
(set-frame-parameter nil 'fullscreen 'fullboth)

this also starts emacs too big for the display.

Steps to reproduce:
* install emacs
* set .xinitrc to
exec emacs
* set .emacs.d/init.el to:
(set-frame-parameter nil 'fullscreen 'fullboth)

quit X and start x with startx

observe that emacs is too big for the display.

Alternatively, set the wm to blackbox in .xinitrc
launch X and then start emacs from an xterm with:
emacs -Q --fullscreen

I also tested with "xrdb /dev/null" and got the same result.

If you toggel the screen maximisation state with f11 twice, then emacs
frame will resize correctly and show the minibuffer and status bar.

I also tested with ratpoison as a wm, and then emacs started with the
correct size for fullscreen.

This was all tested in a VMWare virtual machine. A Windows 7 host,
Debian Jessie guest. I don't currently have a linux only machine I can test on, sorry.

In GNU Emacs 24.4.51.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.5)
 of 2015-01-22 on debian-test-raid10
Repository revision: 8ee825c35b62768e28fe825163dea90d3ab46022
System Description:	Debian GNU/Linux 8.0 (jessie)

Configured using:
 `configure --with-x'

Important settings:
  value of $LANG: en_AU.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
delete-backward-char: Text is read-only
Quit
Mark set [2 times]
Sending...
Mark set [2 times]
Sending via mail...
Sending...done
delete-backward-char: Text is read-only
Making completion list... [2 times]
delete-backward-char: Text is read-only [2 times]

Load-path shadows:
None found.

Features:
(shadow emacsbug mailalias cus-edit cus-start cus-load wid-edit
mail-extr sort message format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
help-mode easymenu xterm smtpmail auth-source eieio byte-opt bytecomp
byte-compile cl-extra cl-loaddefs cl-lib cconv eieio-core gnus-util
time-date password-cache sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 108489 14888)
 (symbols 48 20755 0)
 (miscs 40 42 230)
 (strings 32 17307 3804)
 (string-bytes 1 482110)
 (vectors 16 10486)
 (vector-slots 8 370461 13290)
 (floats 8 78 727)
 (intervals 56 364 106)
 (buffers 960 15)
 (heap 1024 39323 698))